Package wx :: Class Button

[frames | no frames]

## Type Button

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            Button

Known Subclasses:
  `BitmapButton`

A button is a control that contains a text string, and is one of the most common elements of a GUI. It may be placed on a dialog box or panel, or indeed almost any other window.

# Window Styles

> wx.BU_LEFT | Left-justifies the label. Windows and GTK+ only.
> wx.BU_TOP | Aligns the label to the top of the button. Windows and GTK+ only.
> wx.BU_RIGHT | Right-justifies the bitmap label. Windows and GTK+ only.
> wx.BU_BOTTOM | Aligns the label to the bottom of the button. Windows and GTK+ only.
> wx.BU_EXACTFIT | Creates the button as small as possible instead of making it of the standard size (which is the default behaviour.)

# Events

> EVT_BUTTON | Sent when the button is clicked.

See Also:

`wx.BitmapButton`

Method Summary
Button | ``__init__`(self, parent, id, label, pos, size, style, validator, name)` Create and show a button.
bool | ``Create`(self, parent, id, label, pos, size, style, validator, name)` Acutally create the GUI Button for 2-phase creation.
VisualAttributes | ``GetClassDefaultAttributes`(variant)` Get the default attributes for this class. (Static method)
Size | ``GetDefaultSize`()` Returns the default button size for this platform. (Static method)
| ``SetDefault`(self)` This sets the button to be the default item for the panel or dialog box.

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, label=EmptyString, pos=DefaultPosition, size=DefaultSize, style=0, validator=DefaultValidator, name=ButtonNameStr)
(Constructor)

Create and show a button. The preferred way to create standard buttons is to use a standard ID and an empty label. In this case wxWigets will automatically use a stock label that coresponds to the ID given. In additon, the button will be decorated with stock icons under GTK+ 2.

The stock IDs and coresponding labels are

> wx.ID_ADD | 'Add'
> wx.ID_APPLY | '&Apply'
> wx.ID_BOLD | '&Bold'
> wx.ID_CANCEL | '&Cancel'
> wx.ID_CLEAR | '&Clear'
> wx.ID_CLOSE | '&Close'
> wx.ID_COPY | '&Copy'
> wx.ID_CUT | 'Cu&t'
> wx.ID_DELETE | '&Delete'
> wx.ID_FIND | '&Find'
> wx.ID_REPLACE | 'Find and rep&lace'
> wx.ID_BACKWARD | '&Back'
> wx.ID_DOWN | '&Down'
> wx.ID_FORWARD | '&Forward'
> wx.ID_UP | '&Up'
> wx.ID_HELP | '&Help'
> wx.ID_HOME | '&Home'
> wx.ID_INDENT | 'Indent'
> wx.ID_INDEX | '&Index'
> wx.ID_ITALIC | '&Italic'
> wx.ID_JUSTIFY_CENTER | 'Centered'
> wx.ID_JUSTIFY_FILL | 'Justified'
> wx.ID_JUSTIFY_LEFT | 'Align Left'
> wx.ID_JUSTIFY_RIGHT | 'Align Right'
> wx.ID_NEW | '&New'
> wx.ID_NO | '&No'
> wx.ID_OK | '&OK'
> wx.ID_OPEN | '&Open'
> wx.ID_PASTE | '&Paste'
> wx.ID_PREFERENCES | '&Preferences'
> wx.ID_PRINT | '&Print'
> wx.ID_PREVIEW | 'Print previe&w'
> wx.ID_PROPERTIES | '&Properties'
> wx.ID_EXIT | '&Quit'
> wx.ID_REDO | '&Redo'
> wx.ID_REFRESH | 'Refresh'
> wx.ID_REMOVE | 'Remove'
> wx.ID_REVERT_TO_SAVED | 'Revert to Saved'
> wx.ID_SAVE | '&Save'
> wx.ID_SAVEAS | 'Save &As...'
> wx.ID_STOP | '&Stop'
> wx.ID_UNDELETE | 'Undelete'
> wx.ID_UNDERLINE | '&Underline'
> wx.ID_UNDO | '&Undo'
> wx.ID_UNINDENT | '&Unindent'
> wx.ID_YES | '&Yes'
> wx.ID_ZOOM_100 | '&Actual Size'
> wx.ID_ZOOM_FIT | 'Zoom to &Fit'
> wx.ID_ZOOM_IN | 'Zoom &In'
> wx.ID_ZOOM_OUT | 'Zoom &Out'

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `label`
    (type=String)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Button
  Overrides:
    `wx.Control.__init__`

### Create(self, parent, id=-1, label=EmptyString, pos=DefaultPosition, size=DefaultSize, style=0, validator=DefaultValidator, name=ButtonNameStr)

Acutally create the GUI Button for 2-phase creation.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `label`
    (type=String)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create`

### SetDefault(self)

This sets the button to be the default item for the panel or dialog box.

Static Method Details

### GetClassDefaultAttributes(variant=WINDOW_VARIANT_NORMAL)

Get the default attributes for this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

The variant parameter is only relevant under Mac currently and is ignore under other platforms. Under Mac, it will change the size of the returned font. See `wx.Window.SetWindowVariant` for more about this.

  Parameters:
    `variant`
    (type=int)

  Returns:
    VisualAttributes

### GetDefaultSize()

Returns the default button size for this platform.

  Returns:
    Size

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:53 2007 | http://epydoc.sf.net